Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network252.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
252.0.0.0
Broadcast address
253.255.255.255
First usable
252.0.0.1
Last usable
253.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FC000000 · Integer 4227858432 to 4261412863
Reverse DNS zones
252.in-addr.arpa
253.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111100.00000000.00000000.00000000252.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11111100.00000000.00000000.00000000252.0.0.0
Broadcast11111101.11111111.11111111.11111111253.255.255.255
Split into smaller subnets/16

252.0.0.0/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1252.0.0.0/16252.0.0.1 to 252.0.255.254252.0.255.25565,534
2252.1.0.0/16252.1.0.1 to 252.1.255.254252.1.255.25565,534
3252.2.0.0/16252.2.0.1 to 252.2.255.254252.2.255.25565,534
4252.3.0.0/16252.3.0.1 to 252.3.255.254252.3.255.25565,534
5252.4.0.0/16252.4.0.1 to 252.4.255.254252.4.255.25565,534
6252.5.0.0/16252.5.0.1 to 252.5.255.254252.5.255.25565,534
7252.6.0.0/16252.6.0.1 to 252.6.255.254252.6.255.25565,534
8252.7.0.0/16252.7.0.1 to 252.7.255.254252.7.255.25565,534
9252.8.0.0/16252.8.0.1 to 252.8.255.254252.8.255.25565,534
10252.9.0.0/16252.9.0.1 to 252.9.255.254252.9.255.25565,534
11252.10.0.0/16252.10.0.1 to 252.10.255.254252.10.255.25565,534
12252.11.0.0/16252.11.0.1 to 252.11.255.254252.11.255.25565,534
13252.12.0.0/16252.12.0.1 to 252.12.255.254252.12.255.25565,534
14252.13.0.0/16252.13.0.1 to 252.13.255.254252.13.255.25565,534
15252.14.0.0/16252.14.0.1 to 252.14.255.254252.14.255.25565,534
16252.15.0.0/16252.15.0.1 to 252.15.255.254252.15.255.25565,534
17252.16.0.0/16252.16.0.1 to 252.16.255.254252.16.255.25565,534
18252.17.0.0/16252.17.0.1 to 252.17.255.254252.17.255.25565,534
19252.18.0.0/16252.18.0.1 to 252.18.255.254252.18.255.25565,534
20252.19.0.0/16252.19.0.1 to 252.19.255.254252.19.255.25565,534
21252.20.0.0/16252.20.0.1 to 252.20.255.254252.20.255.25565,534
22252.21.0.0/16252.21.0.1 to 252.21.255.254252.21.255.25565,534
23252.22.0.0/16252.22.0.1 to 252.22.255.254252.22.255.25565,534
24252.23.0.0/16252.23.0.1 to 252.23.255.254252.23.255.25565,534
25252.24.0.0/16252.24.0.1 to 252.24.255.254252.24.255.25565,534
26252.25.0.0/16252.25.0.1 to 252.25.255.254252.25.255.25565,534
27252.26.0.0/16252.26.0.1 to 252.26.255.254252.26.255.25565,534
28252.27.0.0/16252.27.0.1 to 252.27.255.254252.27.255.25565,534
29252.28.0.0/16252.28.0.1 to 252.28.255.254252.28.255.25565,534
30252.29.0.0/16252.29.0.1 to 252.29.255.254252.29.255.25565,534
31252.30.0.0/16252.30.0.1 to 252.30.255.254252.30.255.25565,534
32252.31.0.0/16252.31.0.1 to 252.31.255.254252.31.255.25565,534
33252.32.0.0/16252.32.0.1 to 252.32.255.254252.32.255.25565,534
34252.33.0.0/16252.33.0.1 to 252.33.255.254252.33.255.25565,534
35252.34.0.0/16252.34.0.1 to 252.34.255.254252.34.255.25565,534
36252.35.0.0/16252.35.0.1 to 252.35.255.254252.35.255.25565,534
37252.36.0.0/16252.36.0.1 to 252.36.255.254252.36.255.25565,534
38252.37.0.0/16252.37.0.1 to 252.37.255.254252.37.255.25565,534
39252.38.0.0/16252.38.0.1 to 252.38.255.254252.38.255.25565,534
40252.39.0.0/16252.39.0.1 to 252.39.255.254252.39.255.25565,534
41252.40.0.0/16252.40.0.1 to 252.40.255.254252.40.255.25565,534
42252.41.0.0/16252.41.0.1 to 252.41.255.254252.41.255.25565,534
43252.42.0.0/16252.42.0.1 to 252.42.255.254252.42.255.25565,534
44252.43.0.0/16252.43.0.1 to 252.43.255.254252.43.255.25565,534
45252.44.0.0/16252.44.0.1 to 252.44.255.254252.44.255.25565,534
46252.45.0.0/16252.45.0.1 to 252.45.255.254252.45.255.25565,534
47252.46.0.0/16252.46.0.1 to 252.46.255.254252.46.255.25565,534
48252.47.0.0/16252.47.0.1 to 252.47.255.254252.47.255.25565,534
49252.48.0.0/16252.48.0.1 to 252.48.255.254252.48.255.25565,534
50252.49.0.0/16252.49.0.1 to 252.49.255.254252.49.255.25565,534
51252.50.0.0/16252.50.0.1 to 252.50.255.254252.50.255.25565,534
52252.51.0.0/16252.51.0.1 to 252.51.255.254252.51.255.25565,534
53252.52.0.0/16252.52.0.1 to 252.52.255.254252.52.255.25565,534
54252.53.0.0/16252.53.0.1 to 252.53.255.254252.53.255.25565,534
55252.54.0.0/16252.54.0.1 to 252.54.255.254252.54.255.25565,534
56252.55.0.0/16252.55.0.1 to 252.55.255.254252.55.255.25565,534
57252.56.0.0/16252.56.0.1 to 252.56.255.254252.56.255.25565,534
58252.57.0.0/16252.57.0.1 to 252.57.255.254252.57.255.25565,534
59252.58.0.0/16252.58.0.1 to 252.58.255.254252.58.255.25565,534
60252.59.0.0/16252.59.0.1 to 252.59.255.254252.59.255.25565,534
61252.60.0.0/16252.60.0.1 to 252.60.255.254252.60.255.25565,534
62252.61.0.0/16252.61.0.1 to 252.61.255.254252.61.255.25565,534
63252.62.0.0/16252.62.0.1 to 252.62.255.254252.62.255.25565,534
64252.63.0.0/16252.63.0.1 to 252.63.255.254252.63.255.25565,534
65252.64.0.0/16252.64.0.1 to 252.64.255.254252.64.255.25565,534
66252.65.0.0/16252.65.0.1 to 252.65.255.254252.65.255.25565,534
67252.66.0.0/16252.66.0.1 to 252.66.255.254252.66.255.25565,534
68252.67.0.0/16252.67.0.1 to 252.67.255.254252.67.255.25565,534
69252.68.0.0/16252.68.0.1 to 252.68.255.254252.68.255.25565,534
70252.69.0.0/16252.69.0.1 to 252.69.255.254252.69.255.25565,534
71252.70.0.0/16252.70.0.1 to 252.70.255.254252.70.255.25565,534
72252.71.0.0/16252.71.0.1 to 252.71.255.254252.71.255.25565,534
73252.72.0.0/16252.72.0.1 to 252.72.255.254252.72.255.25565,534
74252.73.0.0/16252.73.0.1 to 252.73.255.254252.73.255.25565,534
75252.74.0.0/16252.74.0.1 to 252.74.255.254252.74.255.25565,534
76252.75.0.0/16252.75.0.1 to 252.75.255.254252.75.255.25565,534
77252.76.0.0/16252.76.0.1 to 252.76.255.254252.76.255.25565,534
78252.77.0.0/16252.77.0.1 to 252.77.255.254252.77.255.25565,534
79252.78.0.0/16252.78.0.1 to 252.78.255.254252.78.255.25565,534
80252.79.0.0/16252.79.0.1 to 252.79.255.254252.79.255.25565,534
81252.80.0.0/16252.80.0.1 to 252.80.255.254252.80.255.25565,534
82252.81.0.0/16252.81.0.1 to 252.81.255.254252.81.255.25565,534
83252.82.0.0/16252.82.0.1 to 252.82.255.254252.82.255.25565,534
84252.83.0.0/16252.83.0.1 to 252.83.255.254252.83.255.25565,534
85252.84.0.0/16252.84.0.1 to 252.84.255.254252.84.255.25565,534
86252.85.0.0/16252.85.0.1 to 252.85.255.254252.85.255.25565,534
87252.86.0.0/16252.86.0.1 to 252.86.255.254252.86.255.25565,534
88252.87.0.0/16252.87.0.1 to 252.87.255.254252.87.255.25565,534
89252.88.0.0/16252.88.0.1 to 252.88.255.254252.88.255.25565,534
90252.89.0.0/16252.89.0.1 to 252.89.255.254252.89.255.25565,534
91252.90.0.0/16252.90.0.1 to 252.90.255.254252.90.255.25565,534
92252.91.0.0/16252.91.0.1 to 252.91.255.254252.91.255.25565,534
93252.92.0.0/16252.92.0.1 to 252.92.255.254252.92.255.25565,534
94252.93.0.0/16252.93.0.1 to 252.93.255.254252.93.255.25565,534
95252.94.0.0/16252.94.0.1 to 252.94.255.254252.94.255.25565,534
96252.95.0.0/16252.95.0.1 to 252.95.255.254252.95.255.25565,534
97252.96.0.0/16252.96.0.1 to 252.96.255.254252.96.255.25565,534
98252.97.0.0/16252.97.0.1 to 252.97.255.254252.97.255.25565,534
99252.98.0.0/16252.98.0.1 to 252.98.255.254252.98.255.25565,534
100252.99.0.0/16252.99.0.1 to 252.99.255.254252.99.255.25565,534
101252.100.0.0/16252.100.0.1 to 252.100.255.254252.100.255.25565,534
102252.101.0.0/16252.101.0.1 to 252.101.255.254252.101.255.25565,534
103252.102.0.0/16252.102.0.1 to 252.102.255.254252.102.255.25565,534
104252.103.0.0/16252.103.0.1 to 252.103.255.254252.103.255.25565,534
105252.104.0.0/16252.104.0.1 to 252.104.255.254252.104.255.25565,534
106252.105.0.0/16252.105.0.1 to 252.105.255.254252.105.255.25565,534
107252.106.0.0/16252.106.0.1 to 252.106.255.254252.106.255.25565,534
108252.107.0.0/16252.107.0.1 to 252.107.255.254252.107.255.25565,534
109252.108.0.0/16252.108.0.1 to 252.108.255.254252.108.255.25565,534
110252.109.0.0/16252.109.0.1 to 252.109.255.254252.109.255.25565,534
111252.110.0.0/16252.110.0.1 to 252.110.255.254252.110.255.25565,534
112252.111.0.0/16252.111.0.1 to 252.111.255.254252.111.255.25565,534
113252.112.0.0/16252.112.0.1 to 252.112.255.254252.112.255.25565,534
114252.113.0.0/16252.113.0.1 to 252.113.255.254252.113.255.25565,534
115252.114.0.0/16252.114.0.1 to 252.114.255.254252.114.255.25565,534
116252.115.0.0/16252.115.0.1 to 252.115.255.254252.115.255.25565,534
117252.116.0.0/16252.116.0.1 to 252.116.255.254252.116.255.25565,534
118252.117.0.0/16252.117.0.1 to 252.117.255.254252.117.255.25565,534
119252.118.0.0/16252.118.0.1 to 252.118.255.254252.118.255.25565,534
120252.119.0.0/16252.119.0.1 to 252.119.255.254252.119.255.25565,534
121252.120.0.0/16252.120.0.1 to 252.120.255.254252.120.255.25565,534
122252.121.0.0/16252.121.0.1 to 252.121.255.254252.121.255.25565,534
123252.122.0.0/16252.122.0.1 to 252.122.255.254252.122.255.25565,534
124252.123.0.0/16252.123.0.1 to 252.123.255.254252.123.255.25565,534
125252.124.0.0/16252.124.0.1 to 252.124.255.254252.124.255.25565,534
126252.125.0.0/16252.125.0.1 to 252.125.255.254252.125.255.25565,534
127252.126.0.0/16252.126.0.1 to 252.126.255.254252.126.255.25565,534
128252.127.0.0/16252.127.0.1 to 252.127.255.254252.127.255.25565,534
129252.128.0.0/16252.128.0.1 to 252.128.255.254252.128.255.25565,534
130252.129.0.0/16252.129.0.1 to 252.129.255.254252.129.255.25565,534
131252.130.0.0/16252.130.0.1 to 252.130.255.254252.130.255.25565,534
132252.131.0.0/16252.131.0.1 to 252.131.255.254252.131.255.25565,534
133252.132.0.0/16252.132.0.1 to 252.132.255.254252.132.255.25565,534
134252.133.0.0/16252.133.0.1 to 252.133.255.254252.133.255.25565,534
135252.134.0.0/16252.134.0.1 to 252.134.255.254252.134.255.25565,534
136252.135.0.0/16252.135.0.1 to 252.135.255.254252.135.255.25565,534
137252.136.0.0/16252.136.0.1 to 252.136.255.254252.136.255.25565,534
138252.137.0.0/16252.137.0.1 to 252.137.255.254252.137.255.25565,534
139252.138.0.0/16252.138.0.1 to 252.138.255.254252.138.255.25565,534
140252.139.0.0/16252.139.0.1 to 252.139.255.254252.139.255.25565,534
141252.140.0.0/16252.140.0.1 to 252.140.255.254252.140.255.25565,534
142252.141.0.0/16252.141.0.1 to 252.141.255.254252.141.255.25565,534
143252.142.0.0/16252.142.0.1 to 252.142.255.254252.142.255.25565,534
144252.143.0.0/16252.143.0.1 to 252.143.255.254252.143.255.25565,534
145252.144.0.0/16252.144.0.1 to 252.144.255.254252.144.255.25565,534
146252.145.0.0/16252.145.0.1 to 252.145.255.254252.145.255.25565,534
147252.146.0.0/16252.146.0.1 to 252.146.255.254252.146.255.25565,534
148252.147.0.0/16252.147.0.1 to 252.147.255.254252.147.255.25565,534
149252.148.0.0/16252.148.0.1 to 252.148.255.254252.148.255.25565,534
150252.149.0.0/16252.149.0.1 to 252.149.255.254252.149.255.25565,534
151252.150.0.0/16252.150.0.1 to 252.150.255.254252.150.255.25565,534
152252.151.0.0/16252.151.0.1 to 252.151.255.254252.151.255.25565,534
153252.152.0.0/16252.152.0.1 to 252.152.255.254252.152.255.25565,534
154252.153.0.0/16252.153.0.1 to 252.153.255.254252.153.255.25565,534
155252.154.0.0/16252.154.0.1 to 252.154.255.254252.154.255.25565,534
156252.155.0.0/16252.155.0.1 to 252.155.255.254252.155.255.25565,534
157252.156.0.0/16252.156.0.1 to 252.156.255.254252.156.255.25565,534
158252.157.0.0/16252.157.0.1 to 252.157.255.254252.157.255.25565,534
159252.158.0.0/16252.158.0.1 to 252.158.255.254252.158.255.25565,534
160252.159.0.0/16252.159.0.1 to 252.159.255.254252.159.255.25565,534
161252.160.0.0/16252.160.0.1 to 252.160.255.254252.160.255.25565,534
162252.161.0.0/16252.161.0.1 to 252.161.255.254252.161.255.25565,534
163252.162.0.0/16252.162.0.1 to 252.162.255.254252.162.255.25565,534
164252.163.0.0/16252.163.0.1 to 252.163.255.254252.163.255.25565,534
165252.164.0.0/16252.164.0.1 to 252.164.255.254252.164.255.25565,534
166252.165.0.0/16252.165.0.1 to 252.165.255.254252.165.255.25565,534
167252.166.0.0/16252.166.0.1 to 252.166.255.254252.166.255.25565,534
168252.167.0.0/16252.167.0.1 to 252.167.255.254252.167.255.25565,534
169252.168.0.0/16252.168.0.1 to 252.168.255.254252.168.255.25565,534
170252.169.0.0/16252.169.0.1 to 252.169.255.254252.169.255.25565,534
171252.170.0.0/16252.170.0.1 to 252.170.255.254252.170.255.25565,534
172252.171.0.0/16252.171.0.1 to 252.171.255.254252.171.255.25565,534
173252.172.0.0/16252.172.0.1 to 252.172.255.254252.172.255.25565,534
174252.173.0.0/16252.173.0.1 to 252.173.255.254252.173.255.25565,534
175252.174.0.0/16252.174.0.1 to 252.174.255.254252.174.255.25565,534
176252.175.0.0/16252.175.0.1 to 252.175.255.254252.175.255.25565,534
177252.176.0.0/16252.176.0.1 to 252.176.255.254252.176.255.25565,534
178252.177.0.0/16252.177.0.1 to 252.177.255.254252.177.255.25565,534
179252.178.0.0/16252.178.0.1 to 252.178.255.254252.178.255.25565,534
180252.179.0.0/16252.179.0.1 to 252.179.255.254252.179.255.25565,534
181252.180.0.0/16252.180.0.1 to 252.180.255.254252.180.255.25565,534
182252.181.0.0/16252.181.0.1 to 252.181.255.254252.181.255.25565,534
183252.182.0.0/16252.182.0.1 to 252.182.255.254252.182.255.25565,534
184252.183.0.0/16252.183.0.1 to 252.183.255.254252.183.255.25565,534
185252.184.0.0/16252.184.0.1 to 252.184.255.254252.184.255.25565,534
186252.185.0.0/16252.185.0.1 to 252.185.255.254252.185.255.25565,534
187252.186.0.0/16252.186.0.1 to 252.186.255.254252.186.255.25565,534
188252.187.0.0/16252.187.0.1 to 252.187.255.254252.187.255.25565,534
189252.188.0.0/16252.188.0.1 to 252.188.255.254252.188.255.25565,534
190252.189.0.0/16252.189.0.1 to 252.189.255.254252.189.255.25565,534
191252.190.0.0/16252.190.0.1 to 252.190.255.254252.190.255.25565,534
192252.191.0.0/16252.191.0.1 to 252.191.255.254252.191.255.25565,534
193252.192.0.0/16252.192.0.1 to 252.192.255.254252.192.255.25565,534
194252.193.0.0/16252.193.0.1 to 252.193.255.254252.193.255.25565,534
195252.194.0.0/16252.194.0.1 to 252.194.255.254252.194.255.25565,534
196252.195.0.0/16252.195.0.1 to 252.195.255.254252.195.255.25565,534
197252.196.0.0/16252.196.0.1 to 252.196.255.254252.196.255.25565,534
198252.197.0.0/16252.197.0.1 to 252.197.255.254252.197.255.25565,534
199252.198.0.0/16252.198.0.1 to 252.198.255.254252.198.255.25565,534
200252.199.0.0/16252.199.0.1 to 252.199.255.254252.199.255.25565,534
201252.200.0.0/16252.200.0.1 to 252.200.255.254252.200.255.25565,534
202252.201.0.0/16252.201.0.1 to 252.201.255.254252.201.255.25565,534
203252.202.0.0/16252.202.0.1 to 252.202.255.254252.202.255.25565,534
204252.203.0.0/16252.203.0.1 to 252.203.255.254252.203.255.25565,534
205252.204.0.0/16252.204.0.1 to 252.204.255.254252.204.255.25565,534
206252.205.0.0/16252.205.0.1 to 252.205.255.254252.205.255.25565,534
207252.206.0.0/16252.206.0.1 to 252.206.255.254252.206.255.25565,534
208252.207.0.0/16252.207.0.1 to 252.207.255.254252.207.255.25565,534
209252.208.0.0/16252.208.0.1 to 252.208.255.254252.208.255.25565,534
210252.209.0.0/16252.209.0.1 to 252.209.255.254252.209.255.25565,534
211252.210.0.0/16252.210.0.1 to 252.210.255.254252.210.255.25565,534
212252.211.0.0/16252.211.0.1 to 252.211.255.254252.211.255.25565,534
213252.212.0.0/16252.212.0.1 to 252.212.255.254252.212.255.25565,534
214252.213.0.0/16252.213.0.1 to 252.213.255.254252.213.255.25565,534
215252.214.0.0/16252.214.0.1 to 252.214.255.254252.214.255.25565,534
216252.215.0.0/16252.215.0.1 to 252.215.255.254252.215.255.25565,534
217252.216.0.0/16252.216.0.1 to 252.216.255.254252.216.255.25565,534
218252.217.0.0/16252.217.0.1 to 252.217.255.254252.217.255.25565,534
219252.218.0.0/16252.218.0.1 to 252.218.255.254252.218.255.25565,534
220252.219.0.0/16252.219.0.1 to 252.219.255.254252.219.255.25565,534
221252.220.0.0/16252.220.0.1 to 252.220.255.254252.220.255.25565,534
222252.221.0.0/16252.221.0.1 to 252.221.255.254252.221.255.25565,534
223252.222.0.0/16252.222.0.1 to 252.222.255.254252.222.255.25565,534
224252.223.0.0/16252.223.0.1 to 252.223.255.254252.223.255.25565,534
225252.224.0.0/16252.224.0.1 to 252.224.255.254252.224.255.25565,534
226252.225.0.0/16252.225.0.1 to 252.225.255.254252.225.255.25565,534
227252.226.0.0/16252.226.0.1 to 252.226.255.254252.226.255.25565,534
228252.227.0.0/16252.227.0.1 to 252.227.255.254252.227.255.25565,534
229252.228.0.0/16252.228.0.1 to 252.228.255.254252.228.255.25565,534
230252.229.0.0/16252.229.0.1 to 252.229.255.254252.229.255.25565,534
231252.230.0.0/16252.230.0.1 to 252.230.255.254252.230.255.25565,534
232252.231.0.0/16252.231.0.1 to 252.231.255.254252.231.255.25565,534
233252.232.0.0/16252.232.0.1 to 252.232.255.254252.232.255.25565,534
234252.233.0.0/16252.233.0.1 to 252.233.255.254252.233.255.25565,534
235252.234.0.0/16252.234.0.1 to 252.234.255.254252.234.255.25565,534
236252.235.0.0/16252.235.0.1 to 252.235.255.254252.235.255.25565,534
237252.236.0.0/16252.236.0.1 to 252.236.255.254252.236.255.25565,534
238252.237.0.0/16252.237.0.1 to 252.237.255.254252.237.255.25565,534
239252.238.0.0/16252.238.0.1 to 252.238.255.254252.238.255.25565,534
240252.239.0.0/16252.239.0.1 to 252.239.255.254252.239.255.25565,534
241252.240.0.0/16252.240.0.1 to 252.240.255.254252.240.255.25565,534
242252.241.0.0/16252.241.0.1 to 252.241.255.254252.241.255.25565,534
243252.242.0.0/16252.242.0.1 to 252.242.255.254252.242.255.25565,534
244252.243.0.0/16252.243.0.1 to 252.243.255.254252.243.255.25565,534
245252.244.0.0/16252.244.0.1 to 252.244.255.254252.244.255.25565,534
246252.245.0.0/16252.245.0.1 to 252.245.255.254252.245.255.25565,534
247252.246.0.0/16252.246.0.1 to 252.246.255.254252.246.255.25565,534
248252.247.0.0/16252.247.0.1 to 252.247.255.254252.247.255.25565,534
249252.248.0.0/16252.248.0.1 to 252.248.255.254252.248.255.25565,534
250252.249.0.0/16252.249.0.1 to 252.249.255.254252.249.255.25565,534
251252.250.0.0/16252.250.0.1 to 252.250.255.254252.250.255.25565,534
252252.251.0.0/16252.251.0.1 to 252.251.255.254252.251.255.25565,534
253252.252.0.0/16252.252.0.1 to 252.252.255.254252.252.255.25565,534
254252.253.0.0/16252.253.0.1 to 252.253.255.254252.253.255.25565,534
255252.254.0.0/16252.254.0.1 to 252.254.255.254252.254.255.25565,534
256252.255.0.0/16252.255.0.1 to 252.255.255.254252.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses